import java.awt.*;
import java.awt.event.*;
import java.io.*;
import ij.*;
import ij.io.*;
import ij.plugin.PlugIn;
import ij.process.ImageProcessor;
// open Mar 
public class OpenMAR300Raw2000_ implements PlugIn {

	public void run(String arg) {
		OpenDialog od = new OpenDialog("Open MAR300 from Tango...", arg);
		String file = od.getFileName();
		if (file == null) return;
		String directory = od.getDirectory();
		ImagePlus imp = open(directory, file);
		if (imp != null ) {
			imp.show();
		} else {
			IJ.showMessage("Open MAR...", "Failed.");
		}
	}

	public static ImagePlus open(String directory, String file) {
		File f = new File(directory, file);
		try {
			FileInputStream in = new FileInputStream(f);
			FileInfo fi = new FileInfo();
			fi.directory = directory;
			fi.fileFormat = fi.RAW;
			fi.fileName = file;
			fi.fileType = FileInfo.GRAY16_UNSIGNED ;
			fi.gapBetweenImages = 0;
			fi.height = 2000;
			fi.width = fi.height;
			fi.intelByteOrder = true;
			fi.whiteIsZero=true;
			fi.nImages = 1;
			fi.offset = 0;
			FileOpener fo = new FileOpener(fi);
			ImagePlus imp = fo.open(false);
			IJ.showStatus("");
			ImageProcessor ip;
			ip = imp.getProcessor();
			return imp;
		} catch (IOException e) {
			IJ.error("An error occured reading the file.\n \n" + e);
			IJ.showStatus("");
			return null;
		}
	}


}
